unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//zapis danych z trzech okienek Edit do pliku dyskowego
procedure TForm1.Button1Click(Sender: TObject);
var
  f: textfile;
begin
   AssignFile(f, 'Edity.txt');
   Rewrite(f);
   Writeln(f, Edit1.Text);
   Writeln(f, Edit2.Text);
   Writeln(f, Edit3.Text);
   CloseFile(f);
   ShowMessage('Dane z editów'+#13+'zapisane w pliku Edity.txt');
end;

end.
